You are not logged in.

#1 2019-01-23 01:40:48

anselm
Member
Registered: 2017-11-21
Posts: 37

[SOLVED] After last update VLC won't start anymore: skins2 interface..

I always get the error message when I try to start VLC player:

"skins2 interface error: cannot instantiate dialogs provider"

VLC media player 3.0.4 Vetinari (revision 3.0.4-0-gf615db6332)
[80727ba0] main libvlc: Running vlc with the default interface. Use 'cvlc' to use vlc without interface.
[808a9270] skins2 interface error: cannot instantiate dialogs provider
[807b9480] main playlist: playlist is empty
[808a9270] [cli] lua interface: Listening on host "*console".
VLC media player 3.0.4 Vetinari
Command Line Interface initialized. Type `help' for help.
[808a9270] [cli] lua interface error: Error loading script /usr/lib/vlc/lua/intf/cli.luac: lua/intf/modules/host.lua:289: Interrupted.
>

I tried to run: vlc --reset-config --reset-plugins-cache
But no success.

Last edited by anselm (2019-01-24 15:31:58)

Offline

#2 2019-01-24 15:33:00

anselm
Member
Registered: 2017-11-21
Posts: 37

Re: [SOLVED] After last update VLC won't start anymore: skins2 interface..

I had to run:

sudo strip --remove-section=.note.ABI-tag /usr/lib/libQt5Core.so.5

According to this https://superuser.com/questions/1347723 … -installed and now every Qt5 applications works fine!

Offline

#3 2019-01-24 18:13:05

andreas_baumann
Administrator
From: Zurich, Switzerland
Registered: 2017-08-10
Posts: 591
Website

Re: [SOLVED] After last update VLC won't start anymore: skins2 interface..

@anselm: thanks for this hint :-)

Offline

#4 2019-01-24 22:28:14

deep42thought
Administrator
From: Jena, Germany
Registered: 2017-06-17
Posts: 365

Re: [SOLVED] After last update VLC won't start anymore: skins2 interface..

andreas_baumann: is this something we should run on the package by default?

Offline

#5 2019-01-24 23:32:35

levi
Moderator
From: UK
Registered: 2018-06-16
Posts: 227

Re: [SOLVED] After last update VLC won't start anymore: skins2 interface..

I've no idea off the top of my experience why stripping symbols should make a library load; they're supposed to be orthagonal to any kind of binary load.  The superuser link seems to suggest microsoft have problems with it when loading it under WSL, but frankly their problems with loading librararies are entirely distinct from my interests.

Offline

#6 2019-01-25 07:54:52

andreas_baumann
Administrator
From: Zurich, Switzerland
Registered: 2017-08-10
Posts: 591
Website

Re: [SOLVED] After last update VLC won't start anymore: skins2 interface..

Mmh. It could be related do changes in binutils around some tagging information..
My problem is: I never experienced personally such a problem on my machines, so I'm a
little hesitant..

Offline

#7 2019-01-25 16:57:35

levi
Moderator
From: UK
Registered: 2018-06-16
Posts: 227

Re: [SOLVED] After last update VLC won't start anymore: skins2 interface..

On the other hand, if this was stopping vlc from loading and now works, maybe why symbols stop it loading are rather irrelevant.

Hmm, running readelf -a on my unstripped copy of libQt5Core.so gives me:

Displaying notes found in: .note.ABI-tag
  Owner                 Data size	Description
  GNU                  0x00000010	NT_GNU_ABI_TAG (ABI version tag)
    OS: Linux, ABI: 4.11.0

This seems unusual.  Not all of my libs even have a .note.ABI-tag section, but all of those that do decode to OS: Linux, ABI: 3.2.0.  Was there an ABI break in 4.11 that got reverted in newer kernels or something?

Offline

Board footer

Powered by FluxBB